Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.resource.spi.work
Class WorkException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.resource.ResourceException
                  javax.resource.spi.work.WorkException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  WorkCompletedException, WorkRejectedException

public class WorkException
extends ResourceException

Thrown when there is an error handling work.

See Also:
  Serialized Form

Field Summary
`static String` | `INTERNAL` An internal error
`static String` | `START_TIMED_OUT` Expiration before work was started
`static String` | `TX_CONCURRENT_WORK_DISALLOWED` Not allowed to do concurrent work on a transaction
`static String` | `TX_RECREATE_FAILED` Could not recreate the transaction context
`static String` | `UNDEFINED` An undefined error

Constructor Summary
`WorkException()` Create an exception.
`WorkException(String reason)` Create an exception with a reason.
`WorkException(String reason, String errorCode)` Create an exception with a reason and an errorCode.
`WorkException(String reason, Throwable throwable)` Create an exception with a reason and an error.
`WorkException(Throwable throwable)` Create an exception with an error.

Methods inherited from class javax.resource.ResourceException
`getErrorCode, getLinkedException, setErrorCode, setLinkedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INTERNAL

    public static final String INTERNAL

  An internal error

  See Also:
    Constant Field Values

### UNDEFINED

    public static final String UNDEFINED

  An undefined error

  See Also:
    Constant Field Values

### START_TIMED_OUT

    public static final String START_TIMED_OUT

  Expiration before work was started

  See Also:
    Constant Field Values

### TX_CONCURRENT_WORK_DISALLOWED

    public static final String TX_CONCURRENT_WORK_DISALLOWED

  Not allowed to do concurrent work on a transaction

  See Also:
    Constant Field Values

### TX_RECREATE_FAILED

    public static final String TX_RECREATE_FAILED

  Could not recreate the transaction context

  See Also:
    Constant Field Values

Constructor Detail

### WorkException

    public WorkException()

  Create an exception.

### WorkException

    public WorkException(String reason)

  Create an exception with a reason.

Parameters:
  `reason` - the reason

### WorkException

    public WorkException(String reason,
                         String errorCode)

  Create an exception with a reason and an errorCode.

Parameters:
  `reason` - the reason
  `errorCode` - the error code

### WorkException

    public WorkException(String reason,
                         Throwable throwable)

  Create an exception with a reason and an error.

Parameters:
  `reason` - the reason
  `throwable` - the error

### WorkException

    public WorkException(Throwable throwable)

  Create an exception with an error.

Parameters:
  `throwable` - the error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.